Package com.microblink.blinkid.results.ocr

# Class CharWithVariants

java.lang.Object
com.microblink.blinkid.results.ocr.CharWithVariants

All Implemented Interfaces:
  `android.os.Parcelable`

public class CharWithVariants extends Object implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<CharWithVariants>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharWithVariants(long nativePtr, OcrLine parentLine)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `void`
  `dispose()`
  `OcrChar`
  `getChar()`
  Returns the `OcrChar` which contains information about the char.
  `OcrChar[]`
  `getRecognitionVariants()`
  Returns the recognition variants of this char or null if there are no variants.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<CharWithVariants> CREATOR

- ## Constructor Details

  - ### CharWithVariants

    public CharWithVariants(long nativePtr, @Nullable OcrLine parentLine)

- ## Method Details

  - ### dispose

    public void dispose()

  - ### getChar

    @NonNull public OcrChar getChar()
    Returns the `OcrChar` which contains information about the char.
    Returns:
      the `OcrChar` which contains information about the char.

  - ### getRecognitionVariants

    @Nullable public OcrChar[] getRecognitionVariants()
    Returns the recognition variants of this char or null if there are no variants. Note that char is defined by all its parameters (value, font, position, quality, etc.), so in recognition variants it is possible to have same char value with different font.
    Returns:
      the recognition variants of this char or null if there are no variants

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`